#!/bin/sh

PATH=/bin:/usr/bin:/sbin:/usr/sbin
. /usr/lib/libmodcgi.sh

auto_chk=''; man_chk=''

if [ "$WOL_ENABLED" = "yes" ]; then auto_chk=' checked'; else man_chk=' checked'; fi

sec_begin 'Starttyp'

cat << EOF
<p>
<input id="e1" type="radio" name="enabled" value="yes"$auto_chk><label for="e1"> Automatisch</label>
<input id="e2" type="radio" name="enabled" value="no"$man_chk><label for="e2"> Manuell</label>
</p>
EOF

sec_end
sec_begin 'WOL Interface'

cat << EOF
<h2>Port der WOL Webseiten (erfordert Neustart):</h2>
<p>Port: <input type="text" name="port" size="5" maxlength="5" value="$(httpd -e "$WOL_PORT")"></p>
EOF

sec_end
sec_begin 'Zugriff'

cat << EOF
<p><b>HINWEIS</b>: Das Passwort wird unverschl&uuml;sselt gespeichert.</p>
<p>Benutzer: <input type="text" name="user" size="20" maxlength="255" value="$(httpd -e "$WOL_USER")"></p>
<p>Passwort: <input type="password" name="plain_passwd" size="20" maxlength="255" value="$(httpd -e "$WOL_PLAIN_PASSWD")"></p>
EOF

sec_end
