#!/bin/sh

PATH=/bin:/usr/bin:/sbin:/usr/sbin

cgi_width=560
. /usr/lib/libmodcgi.sh

eval "$(modcgi mac:interf wol)"

if [ -z "$WOL_MAC" ]; then
	cgi_begin 'Fehler'
	echo "<p><b>Fehler</b>: Keine MAC Adresse angegeben</p>"
	cgi_end
	exit 1
fi

cgi_begin 'Wecke '"$WOL_MAC"' auf...'

echo -n '<pre>sending magic frame...'

if [ -z "$WOL_INTERF" ]; then
	ether-wake "$WOL_MAC" 2>&1
else
	ether-wake -i "$WOL_INTERF" "$WOL_MAC" 2>&1
fi

echo 'done.</pre>'
echo '<form action="/cgi-bin/index.cgi"><input type="submit" value="Zur&uuml;ck"></form>'

cgi_end
